
QGIS Application - Bug report #13066

On upgrade from OSXMavericks to Yosemite (regardless of distro!), some Google Earth related 

plugins not working correctly

2015-07-02 09:57 PM - David Douglas

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.6.1 Regression?: No

Operating System: Mac OSX Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 21136

Description

I got a new mac. The old one still works and I wisely stayed away from updating it to Yosemite knowing the issues involved. Alas I got a

new mac and downgrading is hard enough to make me start to appreciate the aesthetic improvements of the new version. Anyway, when

trying to use the GEarthView plugin on Yosemites with any distro of QGis, the function is failing and I'm getting this error:

An error has occured while executing Python code:

Traceback (most recent call last):

  File "/Users/daviddouglas/.qgis2/python/plugins/gearthview/gearthview.py", line 1865, in run

    startGeoDrink_Server(self)

  File "/Users/daviddouglas/.qgis2/python/plugins/gearthview/gearthview.py", line 107, in startGeoDrink_Server

    GDX_Publisher(self)

  File "/Users/daviddouglas/.qgis2/python/plugins/gearthview/gearthview.py", line 828, in GDX_Publisher

    if geom.type() == QGis.Point:

AttributeError: 'NoneType' object has no attribute 'type'

Python version:

2.7.6 (default, Sep  9 2014, 15:04:36) 

[GCC 4.2.1 Compatible Apple LLVM 6.0 (clang-600.0.39)]

QGIS version:

2.6.1-Brighton Brighton, 

Python path: ['/Applications/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing',

'/Applications/QGIS.app/Contents/MacOS/../Resources/python', u'/Users/daviddouglas/.qgis2/python',

u'/Users/daviddouglas/.qgis2/python/plugins', '/Applications/QGIS.app/Contents/MacOS/../Resources/python/plugins',

'/Library/Frameworks/SQLite3.framework/Versions/C/Python/2.7',

'/Library/Frameworks/GEOS.framework/Versions/3/Python/2.7/site-packages',

'/Library/Python/2.7/site-packages/numpy-override', '/Library/Python/2.7/site-packages/matplotlib-override',

'/Library/Frameworks/GDAL.framework/Versions/1.11/Python/2.7/site-packages',

'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python27.zip',

'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7',

'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/plat-darwin',

'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/plat-mac',

'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/plat-mac/lib-scriptpackages',

'/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python',

'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-tk',

'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-old',

'/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload',
'/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/PyObjC', '/Library/Python/2.7/site-packages',

'/Users/daviddouglas/.qgis2/python/plugins/mmqgis/forms',

'/Applications/QGIS.app/Contents/Resources/python/plugins/fTools/tools']

History

#1 - 2015-07-03 02:36 AM - Jürgen Fischer

- Resolution set to invalid

- Status changed from Open to Closed

Please file bugs in the plugin's tracker or notify the authors.

2025-04-27 2/2


